Transcript LOL API
PATCH
/spaces/{spaceId}/prompts/{promptId}

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

spaceId*string

ID of the workspace.

promptId*string

ID of the prompt to update.

Request Body

application/json

Updated prompt details

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://transcript.lol/api/v1/spaces/string/prompts/string" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "prompt": "string"  }'
{
  "id": "string",
  "title": "string",
  "prompt": "string",
  "sampleContent": "string",
  "adminManaged": true,
  "autoGenerate": true
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}